print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebrick = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local brickHudFile = "Paletten/hud_fill_brick.dds"
	local brickHudFileSmall = "Paletten/hud_fill_brick_small.dds"
	
    local brickFilType = g_fillTypeManager:addFillType("BRICK", g_i18n:getText("brick"), true, pricebrick * 1.1, 0.00045, math.rad(10), brickHudFile, brickHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbrick=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbrick=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BRICK" then
		hasbrick=true
	end;
		
end;

		if hasmaize and not hasbrick then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BRICK")
		local price = g_fillTypeManager:getFillTypeByName("BRICK").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BRICK")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)